<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::integration::test::TestDirectiveHandler Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration.html">integration</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html">TestDirectiveHandler</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::integration::test::TestDirectiveHandler Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_test_directive_handler_8h_source.html">TestDirectiveHandler.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::integration::test::TestDirectiveHandler:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_inherit__map" id="alexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::DirectiveHandler\lInterface" alt="" coords="5,5,219,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::integration::test::TestDirectiveHandler:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_coll__map" id="alexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::DirectiveHandler\lInterface" alt="" coords="5,5,219,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_1_1_directive_params.html">DirectiveParams</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a69d4b6cbeddf877070421ef12e7b8397"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#a69d4b6cbeddf877070421ef12e7b8397">TestDirectiveHandler</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">avsCommon::avs::DirectiveHandlerConfiguration</a> config)</td></tr>
<tr class="separator:a69d4b6cbeddf877070421ef12e7b8397"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7d3afd8739e571ff2ff868e4ec30d4f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#ab7d3afd8739e571ff2ff868e4ec30d4f">handleDirectiveImmediately</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">avsCommon::avs::AVSDirective</a> &gt; directive) override</td></tr>
<tr class="separator:ab7d3afd8739e571ff2ff868e4ec30d4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea7223d22724543022dde78159c20be1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#aea7223d22724543022dde78159c20be1">preHandleDirective</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">avsCommon::avs::AVSDirective</a> &gt; directive, std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html">avsCommon::sdkInterfaces::DirectiveHandlerResultInterface</a> &gt; result) override</td></tr>
<tr class="separator:aea7223d22724543022dde78159c20be1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0a455b5c8d54500304918980402cd31"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#af0a455b5c8d54500304918980402cd31">handleDirective</a> (const std::string &amp;messageId) override</td></tr>
<tr class="separator:af0a455b5c8d54500304918980402cd31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a346a60af43ec62960dd1da7bd0d9576f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#a346a60af43ec62960dd1da7bd0d9576f">cancelDirective</a> (const std::string &amp;messageId) override</td></tr>
<tr class="separator:a346a60af43ec62960dd1da7bd0d9576f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae57d7a034ddc63d63dec5d7a52c14ee4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">avsCommon::avs::DirectiveHandlerConfiguration</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#ae57d7a034ddc63d63dec5d7a52c14ee4">getConfiguration</a> () const override</td></tr>
<tr class="separator:ae57d7a034ddc63d63dec5d7a52c14ee4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb89a15e4ed782296b5fb370a9b44f95"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#aeb89a15e4ed782296b5fb370a9b44f95">onDeregistered</a> () override</td></tr>
<tr class="separator:aeb89a15e4ed782296b5fb370a9b44f95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9fa434657ad5842af2ce9fe46a386a0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_1_1_directive_params.html">DirectiveParams</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#ac9fa434657ad5842af2ce9fe46a386a0">waitForNext</a> (const std::chrono::seconds duration)</td></tr>
<tr class="separator:ac9fa434657ad5842af2ce9fe46a386a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td></tr>
<tr class="memitem:a0aa03b6867e8b6e44b8c1b8df93c2d5c inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a0aa03b6867e8b6e44b8c1b8df93c2d5c">~DirectiveHandlerInterface</a> ()=default</td></tr>
<tr class="separator:a0aa03b6867e8b6e44b8c1b8df93c2d5c inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a517f1f6ceeba26da9dd071b9ad3dc390 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a517f1f6ceeba26da9dd071b9ad3dc390">handleDirectiveImmediately</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">avsCommon::avs::AVSDirective</a> &gt; directive)=0</td></tr>
<tr class="separator:a517f1f6ceeba26da9dd071b9ad3dc390 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bfec681151c104a12274fde87ff507d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a9bfec681151c104a12274fde87ff507d">preHandleDirective</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">avsCommon::avs::AVSDirective</a> &gt; directive, std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html">DirectiveHandlerResultInterface</a> &gt; result)=0</td></tr>
<tr class="separator:a9bfec681151c104a12274fde87ff507d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class=""><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html">TestDirectiveHandler</a> is a mock of the <code>DirectiveHandlerInterface</code> and allows tests to wait for invocations upon those interfaces and inspect the parameters of those invocations. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a69d4b6cbeddf877070421ef12e7b8397"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69d4b6cbeddf877070421ef12e7b8397">&#9670;&nbsp;</a></span>TestDirectiveHandler()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::integration::test::TestDirectiveHandler::TestDirectiveHandler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">avsCommon::avs::DirectiveHandlerConfiguration</a>&#160;</td>
          <td class="paramname"><em>config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">config</td><td>The <code><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">avsCommon::avs::DirectiveHandlerConfiguration</a></code> for the directive handler for registering with a directive sequencer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a346a60af43ec62960dd1da7bd0d9576f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a346a60af43ec62960dd1da7bd0d9576f">&#9670;&nbsp;</a></span>cancelDirective()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::TestDirectiveHandler::cancelDirective </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>messageId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Cancel an ongoing <code><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#aea7223d22724543022dde78159c20be1">preHandleDirective()</a></code> or <code><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#af0a455b5c8d54500304918980402cd31">handleDirective()</a></code> operation for the specified <code>AVSDirective</code>. Once this has been called the <code>DirectiveHandler</code> should not expect to receive further calls regarding this directive.</p>
<dl class="section note"><dt>Note</dt><dd>The implementation of this method MUST be thread-safe. </dd>
<dd>
The implementation of this method MUST return quickly. Failure to do so blocks the processing of subsequent <code>AVSDirectives</code>.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">messageId</td><td>The message ID of a directive previously passed to <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#aea7223d22724543022dde78159c20be1">preHandleDirective()</a>. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a7b70eacac868a59404cd2cbde1489f31">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a>.</p>

</div>
</div>
<a id="ae57d7a034ddc63d63dec5d7a52c14ee4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae57d7a034ddc63d63dec5d7a52c14ee4">&#9670;&nbsp;</a></span>getConfiguration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">avsCommon::avs::DirectiveHandlerConfiguration</a> alexaClientSDK::integration::test::TestDirectiveHandler::getConfiguration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns the configuration of the directive handler regarding which namespace and name pairs it should handle and the appropriate policy for each pair.</p>
<dl class="section return"><dt>Returns</dt><dd>The <code>avs::DirectiveHandlerConfiguration</code> of the handler. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a9a4151577d823b1e991af340c233441b">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a>.</p>

</div>
</div>
<a id="af0a455b5c8d54500304918980402cd31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0a455b5c8d54500304918980402cd31">&#9670;&nbsp;</a></span>handleDirective()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::integration::test::TestDirectiveHandler::handleDirective </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>messageId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Handle the action specified by the directive identified by <code>messageId</code>. The handling of subsequent directives with the same <code>DialogRequestId</code> may be blocked until the <code>DirectiveHandler</code> calls the <code>setSucceeded()</code> method of the <code>DirectiveHandlingResult</code> instance passed in to the <code><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#aea7223d22724543022dde78159c20be1">preHandleDirective()</a></code> call for the directive specified by <code>messageId</code>. If handling of this directive fails such that subsequent directives with the same <code>DialogRequestId</code> should be cancelled, this <code>DirectiveHandler</code> should instead call setFailed() to indicate a failure.</p>
<dl class="section note"><dt>Note</dt><dd>If this operation fails, an <code>ExceptionEncountered</code> message should be sent to AVS. </dd>
<dd>
The implementation of this method MUST be thread-safe. </dd>
<dd>
The implementation of this method MUST return quickly. Failure to do so blocks the processing of subsequent <code>AVSDirectives</code>.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">messageId</td><td>The message ID of a directive previously passed to <code><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#aea7223d22724543022dde78159c20be1">preHandleDirective()</a></code>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>false</code> when <code>messageId</code> is not recognized, else <code>true</code>. Any errors related to handling of a valid messageId should be reported using <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html#add0024d48a616a54fc33fcf3b20be26a">DirectiveHandlerResultInterface::setFailed()</a></code>. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#aa3de8075443d7a91320405946556c853">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a>.</p>

</div>
</div>
<a id="ab7d3afd8739e571ff2ff868e4ec30d4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7d3afd8739e571ff2ff868e4ec30d4f">&#9670;&nbsp;</a></span>handleDirectiveImmediately()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::TestDirectiveHandler::handleDirectiveImmediately </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">avsCommon::avs::AVSDirective</a> &gt;&#160;</td>
          <td class="paramname"><em>directive</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb89a15e4ed782296b5fb370a9b44f95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb89a15e4ed782296b5fb370a9b44f95">&#9670;&nbsp;</a></span>onDeregistered()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::TestDirectiveHandler::onDeregistered </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notification that this handler has been de-registered and will not receive any more calls. </p>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#aad30d3ffcd120787b94799b2009e3369">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a>.</p>

</div>
</div>
<a id="aea7223d22724543022dde78159c20be1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea7223d22724543022dde78159c20be1">&#9670;&nbsp;</a></span>preHandleDirective()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::TestDirectiveHandler::preHandleDirective </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">avsCommon::avs::AVSDirective</a> &gt;&#160;</td>
          <td class="paramname"><em>directive</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html">avsCommon::sdkInterfaces::DirectiveHandlerResultInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac9fa434657ad5842af2ce9fe46a386a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9fa434657ad5842af2ce9fe46a386a0">&#9670;&nbsp;</a></span>waitForNext()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_1_1_directive_params.html">TestDirectiveHandler::DirectiveParams</a> alexaClientSDK::integration::test::TestDirectiveHandler::waitForNext </td>
          <td>(</td>
          <td class="paramtype">const std::chrono::seconds&#160;</td>
          <td class="paramname"><em>duration</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Function to retrieve the next <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_1_1_directive_params.html">DirectiveParams</a> in the test queue or time out if the queue is empty. Takes a duration in seconds to wait before timing out. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/Integration/include/Integration/<a class="el" href="_test_directive_handler_8h_source.html">TestDirectiveHandler.h</a></li>
<li>/workplace/avs-device-sdk/Integration/src/<a class="el" href="_test_directive_handler_8cpp.html">TestDirectiveHandler.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
